Retail NTSC Metroid Prime Trilogy on a PAL system with Wiikey 1.9s?

Discussion in 'Wii - Hardware, Devices and Utilities' started by KiddDaBeauty, Aug 31, 2009.

  1. KiddDaBeauty
    OP

    Newcomer KiddDaBeauty Newbie

    Joined:
    Nov 22, 2008
    Messages:
    3
    Location:
    Sweden
    Country:
    Sweden
    I've had my Wiikey for ages, sadly most people seem to have moved on to softmodding, making the wiki here not mention what games can be run across regions.

    What I wonder is this, does anyone have any idea if an NTSC retail copy of MPT would run on my PAL wii with 1.9s? My chip firmware is set to try to boot all regions (although I know the support is far from perfect) and ignore any updates on the disc.

    Before anyone asks me to softmod, I'd prefer to do that only if this doesn't work [​IMG]x;
     
  2. coolbho3000

    Member coolbho3000 GBATemp Kikkoman Naturally Brewed SoySauce Fanatic

    Joined:
    Apr 29, 2007
    Messages:
    2,095
    Location:
    Kikkoman Factory
    Country:
    Some people were having issues with retail MP:T on Wiikey. I think the retail Brawl fix in 1.9s was hardcoded in specifically for Brawl... it won't run for MP:T.
     
  3. KiddDaBeauty
    OP

    Newcomer KiddDaBeauty Newbie

    Joined:
    Nov 22, 2008
    Messages:
    3
    Location:
    Sweden
    Country:
    Sweden
    You mean I won't even be able to play a retail PAL version? [​IMG]

    EDIT: But I could buy the game and run it via a backup, I guess? Backup works? [​IMG]x;
     
  4. lll

    Member lll GBAtemp Regular

    Joined:
    Oct 28, 2008
    Messages:
    132
    Country:
    United Kingdom
    If the backup works with a chip, then the retail will also work. The chip makes it so the Wii thinks backups are original discs, whereas softmods make the Wii not care that it's reading a non-original disc.

    I don't know specifically but as far as I know there's no new protection against chips, but since you're running it from a different region then you may need to run it through a newer version of Gecko OS (with the error 002 fix). It's a good idea to have Gecko OS installed on your Wii (all you need is to install the HBC and then run it from an SD card) in case of NTSC games not working with your chip's region free, and you don't have to go through the hassle of installing custom IOSes and backup loaders and this and that etc...

    It mostly causes problems mostly because it's dual layer: dual layers and softmods don't mix as well as single layers do, and some Wii drives with grubby lenses don't like dual layer discs (especially burned dual layers).

    Unless some new protection was introduced (in which case we would've heard about it by now), you'll definitely be able to play a retail PAL version the same as if you didn't have a chip.
     
  5. Bladexdsl

    Member Bladexdsl ZOMG my posts...it's over 9000!!!

    Joined:
    Nov 17, 2008
    Messages:
    14,347
    Location:
    Queensland
    Country:
    Australia
    ntsc version on pal will work if you use gecko os 1.9 to start it. the pal version when released in October won't need gecko.
     
  6. coolbho3000

    Member coolbho3000 GBATemp Kikkoman Naturally Brewed SoySauce Fanatic

    Joined:
    Apr 29, 2007
    Messages:
    2,095
    Location:
    Kikkoman Factory
    Country:
    The problem is the Wiikey, not any new protection. Wiikey did not work for the retail Brawl (but worked for backups) and that's what the 1.9s update fixed. I heard one report of retail MP:T not working on Wiikey 1.9s in an earlier thread but your mileage may vary...
     
  7. SpaceJump

    Member SpaceJump Where's my new 2D-Metroid?

    Joined:
    Aug 18, 2005
    Messages:
    3,648
    Location:
    Zebes
    Country:
    Germany
    Is it confirmed that retail MPT doesn't work on Wiikey 1.9s?

    EDIT: Updated to 1.9s and now it works for me.
     

Share This Page